Permalink
Browse files

mu: emacs requirement needs userpaths

  • Loading branch information...
1 parent bb03a39 commit 365deadd6f32042ba709029f13fa8e2638d80e8a @jacknagel jacknagel committed Dec 25, 2012
Showing with 8 additions and 7 deletions.
  1. +8 −7 Library/Formula/mu.rb
View
@@ -1,6 +1,14 @@
require 'formula'
class Emacs23Installed < Requirement
+ fatal true
+ env :userpaths
+
+ def satisfied?
+ `emacs --version 2>/dev/null` =~ /^GNU Emacs (\d{2})/
+ $1.to_i >= 23
+ end
+
def message; <<-EOS.undent
Emacs 23 or greater is required to build this software.
@@ -11,13 +19,6 @@ def message; <<-EOS.undent
that provides version 23 or greater.
EOS
end
- def satisfied?
- `emacs --version 2>/dev/null` =~ /^GNU Emacs (\d{2})/
- $1.to_i >= 23
- end
- def fatal?
- true
- end
end
class Mu < Formula

0 comments on commit 365dead

Please sign in to comment.